Package twisted :: Package im :: Module ircsupport :: Class IRCGroup

[show private | hide private]
[frames | no frames]

## Class IRCGroup

    AbstractGroup --+
                    |
                   IRCGroup

Method Summary
| `__init__(self, name, account)` (inherited from `AbstractGroup`)
| `__repr__(self)` (inherited from `AbstractGroup`)
| `__str__(self)` (inherited from `AbstractGroup`)
| ``getGroupCommands`(self)` finds group commands (inherited from `AbstractGroup`)
| ``getTargetCommands`(self, target)` finds group commands (inherited from `AbstractGroup`)
| `imgroup_testAction(self)`
| `imtarget_kick(self, target)`
| `join(self)` (inherited from `AbstractGroup`)
| `leave(self)`
| `sendGroupMessage(self, text, meta)`
| `setTopic(self, topic)`

Class Variable Summary
`tuple` | `__implements__`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.im.interfaces.IGroup'>,)

Generated by Epydoc 1.1 on Thu May 8 13:18:23 2003 | http://epydoc.sf.net